Subject: Offline Message from Matthew: I am very unhappy with this product, it's advert
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 03 Sep 2022 15:53:57 -0000

From: Matthew <[email-masked]>
Phone: 3155145054
Location: Chittenango, United States
URL: https://swagtron.com/cheap-hoverboard-deals/
Department: SwagTron

I am very unhappy with this product,it's advertised as a greatest ebike to get around with in a city it's very unstable the charger gets to hot to even touch battery last 20 minutes very uncomfortable also I wish I would of gotten a different one because this one is horrible I've wasted my hard earned money 

----
Zopim
https://www.zopim.com